//
// Created by sasha on 03.12.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_PROFILER_H
#define RU_DANSOFT_PUZZLE15_PROFILER_H

#include <string>
#include <chrono>

class Profiler {
    public:
        Profiler();
        void start();
        void stop(const std::string &tag);
        void timestamp(const std::string &tag);

    private:
        std::chrono::time_point<std::chrono::high_resolution_clock> point_start;
        std::chrono::time_point<std::chrono::high_resolution_clock> point_start_global;
};


#endif //RU_DANSOFT_PUZZLE15_PROFILER_H
